///////////////////////////////////////////////////////////////////////////////
//ǽTSMultiByteString Ѥ뤿Υץ롣
//Copyright (C) 2001 Takashi Sugiyama. All Rights Reserved.
///////////////////////////////////////////////////////////////////////////////
#include "TSMBS.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h> //atoi()

void CallTSC_mbsstr()
{
	const char *pszBase, *pszFind, *p;

	pszBase = "ԥ塼ӥ";

	pszFind = "";
	p = strstr( pszBase, pszFind );
	printf( "strstr()    =[%s]\n", p );
	p = (char*)TSC_mbsstr((unsigned char*)pszBase, (unsigned char*)pszFind );
	printf( "TSC_mbsstr()=[%s]\n\n", p );

	pszFind = "";
	p = strstr( pszBase, pszFind );
	printf( "strstr()    =[%s]\n", p );
	p = (char*)TSC_mbsstr((unsigned char*)pszBase, (unsigned char*)pszFind );
	printf( "TSC_mbsstr()=%#x\n\n", p );

	pszFind = "";
	p = strstr( pszBase, pszFind );
	printf( "strstr()    =[%s]\n", p );
	p = (char*)TSC_mbsstr((unsigned char*)pszBase, (unsigned char*)pszFind );
	printf( "TSC_mbsstr()=%#x\n\n", p );
}

void CallTSMBS_GetCodeTypeEUC()
{
#if 1
	//ȤδĶˤäƤϥǥɽȤˡֱפθʸ
	//뤳Ȥޤ񤤤Ƥ뤫Ȥȡ
	//	A,b,,,,(Ⱦѥ),(Ⱦѥ),(Ⱦѥ*2),,
	//Ǥޥɥ饤󤫤 cat Sample.c ɤ뤫⤷ޤ
	char *s = "AbΎߤ";
#else
	char *s =	"\x41\x62\xA4\xA2\xA5\xA4\xB1\xA7"
				"\x8E\xBC\x8E\xAC\x8E\xCE\x8E\xDF"
				"\xA4\xB8\xA4\xA3";
#endif
	unsigned int i;
	int iRet;

	printf( "ǡ=[%s]\n", s );
	for ( i = 0 ; i < strlen( s ) ; i++ )
	{
		iRet = TSC_ismbslead((unsigned char*)s, (unsigned char*)( s+i ));
		printf( "[%d]%2d=TSC_ismbslead()", i, iRet );

		iRet = TSC_ismbstrail((unsigned char*)s, (unsigned char*)( s+i ));
		printf( "\t%2d=TSC_ismbstrail()", iRet );

		iRet = TSMBS_GetCodeTypeEUC((unsigned char*)s, (unsigned char*)( s+i ));
		switch ( iRet )
		{
			case TSMBS_CHARACTER:	printf( "\tХʸ\n" );break;
			case TSMBS_KANJI_LEAD:	printf( "\t\n" );	break;
			case TSMBS_KANJI_TRAIL:	printf( "\t³\n" );	break;
			case TSMBS_HANKANA_LEAD:	printf( "\tȾѥ\n" );break;
			case TSMBS_HANKANA_TRAIL:printf( "\tȾѥʸ³\n" );break;
		}
	}
}

int main()
{
	char szCmd[4] = { 0 };

	printf( "1:TSMBS_GetCodeTypeEUC(),TSC_ismbslead(),TSC_ismbstrail()\n" );
	printf( "2:TSC_mbsstr()\n" );
	printf( "  command -> " );
	fgets( szCmd, sizeof( szCmd ), stdin );
	switch ( atoi( szCmd ))
	{
		case 1:	CallTSMBS_GetCodeTypeEUC();	break;
		case 2: CallTSC_mbsstr();	break;
	}
}
